package com.nisum;

import org.junit.Assert;
import org.junit.jupiter.api.Test;
import java.util.Arrays;
import java.util.List;

class WhoIsTheBestTest {

    WhoIsTheBest theBestAround = new WhoIsTheBest();
    String realNotSoGreat = "Eric";

    @Test
    void getTheGreats() {
        List<String> theRealGreats = Arrays.asList("Alex P", "Alex S", "Ben", "Chef", "Chris", "Darrick",
                "Deep", "Joe", "John", "Julius", "Kevin", "Khai", "Kyle",
                "Nikitha", "Philippe", "Shanelle", "Sumaiyya", "Vishal");
        List<String> testGreats = theBestAround.getTheGreats();
        Assert.assertTrue("These are not the greats - they should be.",
                theRealGreats.equals(testGreats));
    }

    @Test
    void getTheNotSoGreats() {
        List<String> theRealNotSoGreats = Arrays.asList("Eric");
        List<String> testGreats = theBestAround.getTheGreats();
        Assert.assertFalse("These are the greats - they shouldn't be.",
                theRealNotSoGreats.equals(testGreats));
    }

    @Test
    void gimmeAGreat() {

        String testGreat = theBestAround.gimmeAGreat();
        Assert.assertFalse("This one ain't great - they should be.",
                realNotSoGreat.equals(testGreat));
    }

    @Test
    void gimmeANotSoGreat() {
        String testNotSoGreat = theBestAround.gimmeANotSoGreat();
        Assert.assertTrue("This one is great - they shouldn't be.",
                realNotSoGreat.equals(testNotSoGreat));
    }
}